## CajaColumn

CajaColumn — List view column descriptor object

## Functions

CajaColumn * | caja_column_new ()

## Properties

gchar * | attribute | Read / Write
guint | attribute-q | Read
gchar * | description | Read / Write
gchar * | label | Read / Write
gchar * | name | Read / Write / Construct Only
gfloat | xalign | Read / Write

## Types and Values

struct | CajaColumn

## Object Hierarchy

        GObject
        ╰── CajaColumn

## Includes

    #include <libcaja-extension/caja-column.h>

## Description

CajaColumn is an object that describes a column in the file manager list view. Extensions can provide CajaColumn by registering a CajaColumnProvider and returning them from `caja_column_provider_get_columns()`, which will be called by the main application when creating a view.

## Functions

### caja_column_new ()

    CajaColumn *
    caja_column_new (const char *name,
                     const char *attribute,
                     const char *label,
                     const char *description);

Creates a new column

#### Parameters

name | identifier of the column |
attribute | the file attribute to be displayed in the column |
label | the user-visible label for the column |
description | a user-visible description of the column |

#### Returns

a newly created CajaColumn

## Types and Values

### struct CajaColumn

    struct CajaColumn;

## Property Details

### The `“attribute”` property

      “attribute”                gchar *

The attribute name to display.

Flags: Read / Write

Default value: NULL

### The `“attribute-q”` property

      “attribute-q”              guint

The attribute name to display, in quark form.

Flags: Read

Default value: 0

### The `“description”` property

      “description”              gchar *

A user-visible description of the column.

Flags: Read / Write

Default value: NULL

### The `“label”` property

      “label”                    gchar *

Label to display in the column.

Flags: Read / Write

Default value: NULL

### The `“name”` property

      “name”                     gchar *

Name of the column.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“xalign”` property

      “xalign”                   gfloat

The x-alignment of the column.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0